'use client';
import { useState } from 'react';
import { UserTypesDataTableAdd } from './table/data-table';
import { UserTypesForm } from './form';
import { useGraphQlUserTypesList } from '../queries';

const PageAddUserTypes = () => {

    const [page, setPage] = useState(1);
    const [limit, setLimit] = useState(10);
    const [sort, setSort] = useState({ createdAt: 'desc' });
    const [filters, setFilters] = useState({});

    const { data, isLoading, error, refetch } = useGraphQlUserTypesList({ limit, skip: (page - 1) * limit, sort, filters });

    return (
        <>
            <UserTypesDataTableAdd
                data={data?.data || []} totalCount={data?.totalCount || 0} currentPage={page} pageSize={limit} onPageChange={setPage} onPageSizeChange={setLimit} refetchTable={refetch}
            />
            <UserTypesForm refetchTable={refetch} />
        </>
    )
}

export { PageAddUserTypes };
